Python3.6 + spyder

 ( meditor | 2019. február 7., csütörtök - 16:11 )

Sziasztok!

Python környezetet alakítok ki. Kinéztem egy jó kódírót hozzá: spyder. A 2.? változat szépen működött, egyedüli probléma az volt, hogy nem lehetett sötét hátteret állítani. Nálam ez esszenciális.

Kutakodtam és kiderült, hogy ez csak a 3-as verziótól ficsör. Ez viszont QT5-öt igényel és innentől rémálom az egész. Nem részletezem. Eljutottam odáig, hogy PyQt5 lefordult, make install megvolt. Indítom a spydert és

File "/usr/lib/python2.7/site-packages/qtpy/__init__.py",
line 205, in
raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found

Csak vakarom a fejem....

Tud valaki segíteni? Előre is köszi.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Ja, slackware current 32 bit
> Sol omnibus lucet.

2.7es pyhonnal indítod. Gondolom az az alapértelmezett. Fent lehet 3-as és 2-es egyszerre. python3 -al próbáld indítani.

python3-ra, közvetlenül a start.py-re kiadva: no modulname: spyder

Lehet, hogy ez a python nagyon jó, de rászolgál a nevére. Kicsit kaotikusabb, mint a Lookon szoborcsoport. Kezdek belefáradni.

> Sol omnibus lucet.

Köszi, ezt a kört megfutottam. Elvesztem a dzsungelben.

> Sol omnibus lucet.

Esetleg pip3 install spyder?

Letölti a PyQt5-öt is.

Most próbáltam:
- Python 3.5.3
- MX 18 (Debian 9.7)

és elindul.

Could not find a version that satisfies the requirement pyqt5<5.10; python_version >= "3" (from spyder) (from versions: )
No matching distribution found for pyqt5<5.10; python_version >= "3" (from spyder)

> Sol omnibus lucet.